#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # example pyquickhelper
# 
# Explore a folder, run a command line from a notebook.

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu(header="Plan")


# ### Log, run_cmd
# 
# The function [fLOG](http://www.xavierdupre.fr/app/pyquickhelper/helpsphinx/pyquickhelper/loghelper/flog.html?highlight=flog) prints information on the standard output and in a file *temp_log.txt*:

# In[2]:


from pyquickhelper.loghelper import fLOG
fLOG(OutputPrint=False)  # by default
fLOG("not printed")
fLOG(OutputPrint=True)
fLOG("printed")


# The function [run_cmd](http://www.xavierdupre.fr/app/pyquickhelper/helpsphinx/pyquickhelper/loghelper/flog.html?highlight=run_cmd#loghelper.flog.run_cmd) runs a command line and returns the standard output and error:

# In[3]:


from pyquickhelper.loghelper import run_cmd
out,err=run_cmd("help", wait=True, shell=True)
print(out)


# ### Ask something to the user in a notebook

# In[4]:


from pyquickhelper.ipythonhelper import open_html_form
params= {"module":"", "version":"v..."}
open_html_form(params, "fill the fields", "form1")


# In[5]:


form1


# ### Explore a folder

# In[6]:


from jyquickhelper.helper_in_notebook import set_notebook_name_theNotebook
set_notebook_name_theNotebook()


# In[7]:


import os
path = os.path.join(os.path.abspath(os.path.dirname(theNotebook)), "..")


# In[8]:


from pyquickhelper.filehelper import explore_folder
d,f =explore_folder(path)
[ os.path.split(_)[-1] for _ in f[:5]]


# In[9]: